<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>drivers/soc/include/soc_mpu.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html">drivers</a></li><li class="navelem"><a class="el" href="dir_9b3c509d59256edccfca8ec85704cf01.html">soc</a></li><li class="navelem"><a class="el" href="dir_b5c6a58cc167b8776be2706a79e1c14a.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">soc_mpu.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>The file has MPU (Memory Protection Unit) APIs for programming the MPU.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;ti/common/sys_common.h&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ae487a8524b8675e7737989f57f281bef"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#ae487a8524b8675e7737989f57f281bef">mpuREGION1</a>&#160;&#160;&#160;0U</td></tr>
<tr class="memdesc:ae487a8524b8675e7737989f57f281bef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mpu region 1.  <a href="#ae487a8524b8675e7737989f57f281bef">More...</a><br /></td></tr>
<tr class="separator:ae487a8524b8675e7737989f57f281bef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6aebc92753fe8dc0be82760225ac3a4d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a6aebc92753fe8dc0be82760225ac3a4d">mpuREGION2</a>&#160;&#160;&#160;1U</td></tr>
<tr class="memdesc:a6aebc92753fe8dc0be82760225ac3a4d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mpu region 2.  <a href="#a6aebc92753fe8dc0be82760225ac3a4d">More...</a><br /></td></tr>
<tr class="separator:a6aebc92753fe8dc0be82760225ac3a4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30bce64de2254c1619581608ba864871"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a30bce64de2254c1619581608ba864871">mpuREGION3</a>&#160;&#160;&#160;2U</td></tr>
<tr class="memdesc:a30bce64de2254c1619581608ba864871"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mpu region 3.  <a href="#a30bce64de2254c1619581608ba864871">More...</a><br /></td></tr>
<tr class="separator:a30bce64de2254c1619581608ba864871"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b3fffadc7da6ddea050adda6f0c6aff"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a3b3fffadc7da6ddea050adda6f0c6aff">mpuREGION4</a>&#160;&#160;&#160;3U</td></tr>
<tr class="memdesc:a3b3fffadc7da6ddea050adda6f0c6aff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mpu region 4.  <a href="#a3b3fffadc7da6ddea050adda6f0c6aff">More...</a><br /></td></tr>
<tr class="separator:a3b3fffadc7da6ddea050adda6f0c6aff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec4cf75674460e1544790564fa554c5f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#aec4cf75674460e1544790564fa554c5f">mpuREGION5</a>&#160;&#160;&#160;4U</td></tr>
<tr class="memdesc:aec4cf75674460e1544790564fa554c5f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mpu region 5.  <a href="#aec4cf75674460e1544790564fa554c5f">More...</a><br /></td></tr>
<tr class="separator:aec4cf75674460e1544790564fa554c5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a990382ed040acc67eb25acd58745f484"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a990382ed040acc67eb25acd58745f484">mpuREGION6</a>&#160;&#160;&#160;5U</td></tr>
<tr class="memdesc:a990382ed040acc67eb25acd58745f484"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mpu region 6.  <a href="#a990382ed040acc67eb25acd58745f484">More...</a><br /></td></tr>
<tr class="separator:a990382ed040acc67eb25acd58745f484"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af87d96ed10ce1f7e15c66e170dcee3b0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#af87d96ed10ce1f7e15c66e170dcee3b0">mpuREGION7</a>&#160;&#160;&#160;6U</td></tr>
<tr class="memdesc:af87d96ed10ce1f7e15c66e170dcee3b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mpu region 7.  <a href="#af87d96ed10ce1f7e15c66e170dcee3b0">More...</a><br /></td></tr>
<tr class="separator:af87d96ed10ce1f7e15c66e170dcee3b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27b01196ef507d5f1b08a35fdf4b2a81"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a27b01196ef507d5f1b08a35fdf4b2a81">mpuREGION8</a>&#160;&#160;&#160;7U</td></tr>
<tr class="memdesc:a27b01196ef507d5f1b08a35fdf4b2a81"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mpu region 8.  <a href="#a27b01196ef507d5f1b08a35fdf4b2a81">More...</a><br /></td></tr>
<tr class="separator:a27b01196ef507d5f1b08a35fdf4b2a81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3366fc0ac6d70b855846af62d3081615"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a3366fc0ac6d70b855846af62d3081615">mpuREGION9</a>&#160;&#160;&#160;8U</td></tr>
<tr class="memdesc:a3366fc0ac6d70b855846af62d3081615"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mpu region 9.  <a href="#a3366fc0ac6d70b855846af62d3081615">More...</a><br /></td></tr>
<tr class="separator:a3366fc0ac6d70b855846af62d3081615"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4acf00008345be203c22de39eb318e4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#ac4acf00008345be203c22de39eb318e4">mpuREGION10</a>&#160;&#160;&#160;9U</td></tr>
<tr class="memdesc:ac4acf00008345be203c22de39eb318e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mpu region 10.  <a href="#ac4acf00008345be203c22de39eb318e4">More...</a><br /></td></tr>
<tr class="separator:ac4acf00008345be203c22de39eb318e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a341ae6a9dca1d89fed506146b657b156"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a341ae6a9dca1d89fed506146b657b156">mpuREGION11</a>&#160;&#160;&#160;10U</td></tr>
<tr class="memdesc:a341ae6a9dca1d89fed506146b657b156"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mpu region 11.  <a href="#a341ae6a9dca1d89fed506146b657b156">More...</a><br /></td></tr>
<tr class="separator:a341ae6a9dca1d89fed506146b657b156"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf187d8a145dd8e242c146f07110ea6b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#aaf187d8a145dd8e242c146f07110ea6b">mpuREGION12</a>&#160;&#160;&#160;11U</td></tr>
<tr class="memdesc:aaf187d8a145dd8e242c146f07110ea6b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mpu region 12.  <a href="#aaf187d8a145dd8e242c146f07110ea6b">More...</a><br /></td></tr>
<tr class="separator:aaf187d8a145dd8e242c146f07110ea6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10d163c6e17f3a731f832619c45c4e21"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a10d163c6e17f3a731f832619c45c4e21">mpuREGION_ENABLE</a>&#160;&#160;&#160;1U</td></tr>
<tr class="memdesc:a10d163c6e17f3a731f832619c45c4e21"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable MPU Region.  <a href="#a10d163c6e17f3a731f832619c45c4e21">More...</a><br /></td></tr>
<tr class="separator:a10d163c6e17f3a731f832619c45c4e21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f3509ccd43f6fb77fdf21972b7178fd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a8f3509ccd43f6fb77fdf21972b7178fd">mpuREGION_DISABLE</a>&#160;&#160;&#160;0U</td></tr>
<tr class="memdesc:a8f3509ccd43f6fb77fdf21972b7178fd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable MPU Region.  <a href="#a8f3509ccd43f6fb77fdf21972b7178fd">More...</a><br /></td></tr>
<tr class="separator:a8f3509ccd43f6fb77fdf21972b7178fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad5ad89c121ce29e0563da1d5ad40987"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#aad5ad89c121ce29e0563da1d5ad40987">mpuSUBREGION0_DISABLE</a>&#160;&#160;&#160;0x100U</td></tr>
<tr class="memdesc:aad5ad89c121ce29e0563da1d5ad40987"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable MPU Sub Region0.  <a href="#aad5ad89c121ce29e0563da1d5ad40987">More...</a><br /></td></tr>
<tr class="separator:aad5ad89c121ce29e0563da1d5ad40987"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c13db596344ac3d03e7d88ecd4bd314"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a9c13db596344ac3d03e7d88ecd4bd314">mpuSUBREGION1_DISABLE</a>&#160;&#160;&#160;0x200U</td></tr>
<tr class="memdesc:a9c13db596344ac3d03e7d88ecd4bd314"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable MPU Sub Region1.  <a href="#a9c13db596344ac3d03e7d88ecd4bd314">More...</a><br /></td></tr>
<tr class="separator:a9c13db596344ac3d03e7d88ecd4bd314"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abede723a2471835d5ba77c480109b5e1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#abede723a2471835d5ba77c480109b5e1">mpuSUBREGION2_DISABLE</a>&#160;&#160;&#160;0x400U</td></tr>
<tr class="memdesc:abede723a2471835d5ba77c480109b5e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable MPU Sub Region2.  <a href="#abede723a2471835d5ba77c480109b5e1">More...</a><br /></td></tr>
<tr class="separator:abede723a2471835d5ba77c480109b5e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78610867ca7c9bf87fb13c254f98aec6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a78610867ca7c9bf87fb13c254f98aec6">mpuSUBREGION3_DISABLE</a>&#160;&#160;&#160;0x800U</td></tr>
<tr class="memdesc:a78610867ca7c9bf87fb13c254f98aec6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable MPU Sub Region3.  <a href="#a78610867ca7c9bf87fb13c254f98aec6">More...</a><br /></td></tr>
<tr class="separator:a78610867ca7c9bf87fb13c254f98aec6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83c60ef544c5116a862e8f0e69e32812"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a83c60ef544c5116a862e8f0e69e32812">mpuSUBREGION4_DISABLE</a>&#160;&#160;&#160;0x1000U</td></tr>
<tr class="memdesc:a83c60ef544c5116a862e8f0e69e32812"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable MPU Sub Region4.  <a href="#a83c60ef544c5116a862e8f0e69e32812">More...</a><br /></td></tr>
<tr class="separator:a83c60ef544c5116a862e8f0e69e32812"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c411ae7d7b6ed8765aca43d43968d41"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a6c411ae7d7b6ed8765aca43d43968d41">mpuSUBREGION5_DISABLE</a>&#160;&#160;&#160;0x2000U</td></tr>
<tr class="memdesc:a6c411ae7d7b6ed8765aca43d43968d41"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable MPU Sub Region5.  <a href="#a6c411ae7d7b6ed8765aca43d43968d41">More...</a><br /></td></tr>
<tr class="separator:a6c411ae7d7b6ed8765aca43d43968d41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab80841d0ea6060cffc409108e77faba1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#ab80841d0ea6060cffc409108e77faba1">mpuSUBREGION6_DISABLE</a>&#160;&#160;&#160;0x4000U</td></tr>
<tr class="memdesc:ab80841d0ea6060cffc409108e77faba1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable MPU Sub Region6.  <a href="#ab80841d0ea6060cffc409108e77faba1">More...</a><br /></td></tr>
<tr class="separator:ab80841d0ea6060cffc409108e77faba1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ed0d4212e4b1786edf341fdd041f30e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a7ed0d4212e4b1786edf341fdd041f30e">mpuSUBREGION7_DISABLE</a>&#160;&#160;&#160;0x8000U</td></tr>
<tr class="memdesc:a7ed0d4212e4b1786edf341fdd041f30e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable MPU Sub Region7.  <a href="#a7ed0d4212e4b1786edf341fdd041f30e">More...</a><br /></td></tr>
<tr class="separator:a7ed0d4212e4b1786edf341fdd041f30e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ad42abaa287200c0d7fc438183d4dc067"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#ad42abaa287200c0d7fc438183d4dc067">_mpuInit_</a> (void)</td></tr>
<tr class="memdesc:ad42abaa287200c0d7fc438183d4dc067"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize Mpu.  <a href="#ad42abaa287200c0d7fc438183d4dc067">More...</a><br /></td></tr>
<tr class="separator:ad42abaa287200c0d7fc438183d4dc067"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91e265587c5b3f02c6dcc26a2fb5f039"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a91e265587c5b3f02c6dcc26a2fb5f039">_mpuEnable_</a> (void)</td></tr>
<tr class="memdesc:a91e265587c5b3f02c6dcc26a2fb5f039"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable Mpu.  <a href="#a91e265587c5b3f02c6dcc26a2fb5f039">More...</a><br /></td></tr>
<tr class="separator:a91e265587c5b3f02c6dcc26a2fb5f039"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d7807ff7486e23a51df3552456576be"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a4d7807ff7486e23a51df3552456576be">_mpuDisable_</a> (void)</td></tr>
<tr class="memdesc:a4d7807ff7486e23a51df3552456576be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable Mpu.  <a href="#a4d7807ff7486e23a51df3552456576be">More...</a><br /></td></tr>
<tr class="separator:a4d7807ff7486e23a51df3552456576be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a936e7f2dbacf897764a944ae5628f37a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a936e7f2dbacf897764a944ae5628f37a">_mpuEnableBackgroundRegion_</a> (void)</td></tr>
<tr class="memdesc:a936e7f2dbacf897764a944ae5628f37a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable Mpu background region.  <a href="#a936e7f2dbacf897764a944ae5628f37a">More...</a><br /></td></tr>
<tr class="separator:a936e7f2dbacf897764a944ae5628f37a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91443afa543409ea431ea1eee9495e90"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a91443afa543409ea431ea1eee9495e90">_mpuDisableBackgroundRegion_</a> (void)</td></tr>
<tr class="memdesc:a91443afa543409ea431ea1eee9495e90"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable Mpu background region.  <a href="#a91443afa543409ea431ea1eee9495e90">More...</a><br /></td></tr>
<tr class="separator:a91443afa543409ea431ea1eee9495e90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae01b415f6eb4e15331371f526f7184d9"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#ae01b415f6eb4e15331371f526f7184d9">_mpuGetNumberOfRegions_</a> (void)</td></tr>
<tr class="memdesc:ae01b415f6eb4e15331371f526f7184d9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns number of implemented Mpu regions.  <a href="#ae01b415f6eb4e15331371f526f7184d9">More...</a><br /></td></tr>
<tr class="separator:ae01b415f6eb4e15331371f526f7184d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40fc7138f2188355f04863b384be30b5"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a40fc7138f2188355f04863b384be30b5">_mpuAreRegionsSeparate_</a> (void)</td></tr>
<tr class="memdesc:a40fc7138f2188355f04863b384be30b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the type of the implemented mpu regions.  <a href="#a40fc7138f2188355f04863b384be30b5">More...</a><br /></td></tr>
<tr class="separator:a40fc7138f2188355f04863b384be30b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77d0ffd1d6bcaa74d1f3fb177fd3da47"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a77d0ffd1d6bcaa74d1f3fb177fd3da47">_mpuSetRegion_</a> (uint32_t region)</td></tr>
<tr class="memdesc:a77d0ffd1d6bcaa74d1f3fb177fd3da47"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set mpu region number.  <a href="#a77d0ffd1d6bcaa74d1f3fb177fd3da47">More...</a><br /></td></tr>
<tr class="separator:a77d0ffd1d6bcaa74d1f3fb177fd3da47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a796aec0b4eea86ccd7d7a8249f4e7afd"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a796aec0b4eea86ccd7d7a8249f4e7afd">_mpuGetRegion_</a> (void)</td></tr>
<tr class="memdesc:a796aec0b4eea86ccd7d7a8249f4e7afd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the currently selected mpu region.  <a href="#a796aec0b4eea86ccd7d7a8249f4e7afd">More...</a><br /></td></tr>
<tr class="separator:a796aec0b4eea86ccd7d7a8249f4e7afd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e2b4dbb5a69e953684e4e61442e53d9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a5e2b4dbb5a69e953684e4e61442e53d9">_mpuSetRegionBaseAddress_</a> (uint32_t address)</td></tr>
<tr class="memdesc:a5e2b4dbb5a69e953684e4e61442e53d9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set base address of currently selected mpu region.  <a href="#a5e2b4dbb5a69e953684e4e61442e53d9">More...</a><br /></td></tr>
<tr class="separator:a5e2b4dbb5a69e953684e4e61442e53d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed53448b7a7b12e10f4360862944cab9"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#aed53448b7a7b12e10f4360862944cab9">_mpuGetRegionBaseAddress_</a> (void)</td></tr>
<tr class="memdesc:aed53448b7a7b12e10f4360862944cab9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns base address of currently selected mpu region.  <a href="#aed53448b7a7b12e10f4360862944cab9">More...</a><br /></td></tr>
<tr class="separator:aed53448b7a7b12e10f4360862944cab9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad3cf50fb86c1afb6fbfa46eead2cc80"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#aad3cf50fb86c1afb6fbfa46eead2cc80">_mpuSetRegionTypeAndPermission_</a> (uint32_t type, uint32_t permission)</td></tr>
<tr class="memdesc:aad3cf50fb86c1afb6fbfa46eead2cc80"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set type of currently selected mpu region.  <a href="#aad3cf50fb86c1afb6fbfa46eead2cc80">More...</a><br /></td></tr>
<tr class="separator:aad3cf50fb86c1afb6fbfa46eead2cc80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b9225d4cf265d5bba16f03343096a41"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a7b9225d4cf265d5bba16f03343096a41">_mpuGetRegionType_</a> (void)</td></tr>
<tr class="memdesc:a7b9225d4cf265d5bba16f03343096a41"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the type of currently selected mpu region.  <a href="#a7b9225d4cf265d5bba16f03343096a41">More...</a><br /></td></tr>
<tr class="separator:a7b9225d4cf265d5bba16f03343096a41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b1041752ccc83834266f8db303dc0a4"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a8b1041752ccc83834266f8db303dc0a4">_mpuGetRegionPermission_</a> (void)</td></tr>
<tr class="memdesc:a8b1041752ccc83834266f8db303dc0a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns permission of currently selected mpu region.  <a href="#a8b1041752ccc83834266f8db303dc0a4">More...</a><br /></td></tr>
<tr class="separator:a8b1041752ccc83834266f8db303dc0a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6257509842799734cf515d2ed3409bf9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__mpu_8h.html#a6257509842799734cf515d2ed3409bf9">_mpuSetRegionSizeRegister_</a> (uint32_t value)</td></tr>
<tr class="memdesc:a6257509842799734cf515d2ed3409bf9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set mpu region size register value.  <a href="#a6257509842799734cf515d2ed3409bf9">More...</a><br /></td></tr>
<tr class="separator:a6257509842799734cf515d2ed3409bf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The file has MPU (Memory Protection Unit) APIs for programming the MPU. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="ae487a8524b8675e7737989f57f281bef"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuREGION1&#160;&#160;&#160;0U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mpu region 1. </p>
<p>Alias for Mpu region 1 </p>

</div>
</div>
<a class="anchor" id="ac4acf00008345be203c22de39eb318e4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuREGION10&#160;&#160;&#160;9U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mpu region 10. </p>
<p>Alias for Mpu region 10 </p>

</div>
</div>
<a class="anchor" id="a341ae6a9dca1d89fed506146b657b156"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuREGION11&#160;&#160;&#160;10U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mpu region 11. </p>
<p>Alias for Mpu region 11 </p>

</div>
</div>
<a class="anchor" id="aaf187d8a145dd8e242c146f07110ea6b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuREGION12&#160;&#160;&#160;11U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mpu region 12. </p>
<p>Alias for Mpu region 12 </p>

</div>
</div>
<a class="anchor" id="a6aebc92753fe8dc0be82760225ac3a4d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuREGION2&#160;&#160;&#160;1U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mpu region 2. </p>
<p>Alias for Mpu region 1 </p>

</div>
</div>
<a class="anchor" id="a30bce64de2254c1619581608ba864871"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuREGION3&#160;&#160;&#160;2U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mpu region 3. </p>
<p>Alias for Mpu region 3 </p>

</div>
</div>
<a class="anchor" id="a3b3fffadc7da6ddea050adda6f0c6aff"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuREGION4&#160;&#160;&#160;3U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mpu region 4. </p>
<p>Alias for Mpu region 4 </p>

</div>
</div>
<a class="anchor" id="aec4cf75674460e1544790564fa554c5f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuREGION5&#160;&#160;&#160;4U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mpu region 5. </p>
<p>Alias for Mpu region 5 </p>

</div>
</div>
<a class="anchor" id="a990382ed040acc67eb25acd58745f484"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuREGION6&#160;&#160;&#160;5U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mpu region 6. </p>
<p>Alias for Mpu region 6 </p>

</div>
</div>
<a class="anchor" id="af87d96ed10ce1f7e15c66e170dcee3b0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuREGION7&#160;&#160;&#160;6U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mpu region 7. </p>
<p>Alias for Mpu region 7 </p>

</div>
</div>
<a class="anchor" id="a27b01196ef507d5f1b08a35fdf4b2a81"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuREGION8&#160;&#160;&#160;7U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mpu region 8. </p>
<p>Alias for Mpu region 8 </p>

</div>
</div>
<a class="anchor" id="a3366fc0ac6d70b855846af62d3081615"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuREGION9&#160;&#160;&#160;8U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mpu region 9. </p>
<p>Alias for Mpu region 9 </p>

</div>
</div>
<a class="anchor" id="a8f3509ccd43f6fb77fdf21972b7178fd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuREGION_DISABLE&#160;&#160;&#160;0U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable MPU Region. </p>
<p>Alias for MPU region disable.</p>
<dl class="section note"><dt>Note</dt><dd>This should be used as the parameter of the API <em>mpuSetRegionSizeRegister</em> </dd></dl>

</div>
</div>
<a class="anchor" id="a10d163c6e17f3a731f832619c45c4e21"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuREGION_ENABLE&#160;&#160;&#160;1U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable MPU Region. </p>
<p>Alias for MPU region enable.</p>
<dl class="section note"><dt>Note</dt><dd>This should be used as the parameter of the API <em>mpuSetRegionSizeRegister</em> </dd></dl>

</div>
</div>
<a class="anchor" id="aad5ad89c121ce29e0563da1d5ad40987"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuSUBREGION0_DISABLE&#160;&#160;&#160;0x100U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable MPU Sub Region0. </p>
<p>Alias for MPU subregion0 disable.</p>
<dl class="section note"><dt>Note</dt><dd>This should be used as the parameter of the API <em>mpuSetRegionSizeRegister</em> </dd></dl>

</div>
</div>
<a class="anchor" id="a9c13db596344ac3d03e7d88ecd4bd314"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuSUBREGION1_DISABLE&#160;&#160;&#160;0x200U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable MPU Sub Region1. </p>
<p>Alias for MPU subregion1 disable.</p>
<dl class="section note"><dt>Note</dt><dd>This should be used as the parameter of the API <em>mpuSetRegionSizeRegister</em> </dd></dl>

</div>
</div>
<a class="anchor" id="abede723a2471835d5ba77c480109b5e1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuSUBREGION2_DISABLE&#160;&#160;&#160;0x400U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable MPU Sub Region2. </p>
<p>Alias for MPU subregion2 disable.</p>
<dl class="section note"><dt>Note</dt><dd>This should be used as the parameter of the API <em>mpuSetRegionSizeRegister</em> </dd></dl>

</div>
</div>
<a class="anchor" id="a78610867ca7c9bf87fb13c254f98aec6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuSUBREGION3_DISABLE&#160;&#160;&#160;0x800U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable MPU Sub Region3. </p>
<p>Alias for MPU subregion3 disable.</p>
<dl class="section note"><dt>Note</dt><dd>This should be used as the parameter of the API <em>mpuSetRegionSizeRegister</em> </dd></dl>

</div>
</div>
<a class="anchor" id="a83c60ef544c5116a862e8f0e69e32812"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuSUBREGION4_DISABLE&#160;&#160;&#160;0x1000U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable MPU Sub Region4. </p>
<p>Alias for MPU subregion4 disable.</p>
<dl class="section note"><dt>Note</dt><dd>This should be used as the parameter of the API <em>mpuSetRegionSizeRegister</em> </dd></dl>

</div>
</div>
<a class="anchor" id="a6c411ae7d7b6ed8765aca43d43968d41"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuSUBREGION5_DISABLE&#160;&#160;&#160;0x2000U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable MPU Sub Region5. </p>
<p>Alias for MPU subregion5 disable.</p>
<dl class="section note"><dt>Note</dt><dd>This should be used as the parameter of the API <em>mpuSetRegionSizeRegister</em> </dd></dl>

</div>
</div>
<a class="anchor" id="ab80841d0ea6060cffc409108e77faba1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuSUBREGION6_DISABLE&#160;&#160;&#160;0x4000U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable MPU Sub Region6. </p>
<p>Alias for MPU subregion6 disable.</p>
<dl class="section note"><dt>Note</dt><dd>This should be used as the parameter of the API <em>mpuSetRegionSizeRegister</em> </dd></dl>

</div>
</div>
<a class="anchor" id="a7ed0d4212e4b1786edf341fdd041f30e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mpuSUBREGION7_DISABLE&#160;&#160;&#160;0x8000U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable MPU Sub Region7. </p>
<p>Alias for MPU subregion7 disable.</p>
<dl class="section note"><dt>Note</dt><dd>This should be used as the parameter of the API <em>mpuSetRegionSizeRegister</em> </dd></dl>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="a20a7c4f084cabff8fbb6aaeb4ee6ddc1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="soc__mpu_8h.html#a20a7c4f084cabff8fbb6aaeb4ee6ddc1">mpuRegionAccessPermission</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Alias names for mpu region access permissions. </p>
<p>This enumeration is used to provide alias names for the mpu region access permission:</p><ul>
<li>MPU_PRIV_NA_USER_NA_EXEC no access in privileged mode, no access in user mode and execute</li>
<li>MPU_PRIV_RW_USER_NA_EXEC read/write in privileged mode, no access in user mode and execute</li>
<li>MPU_PRIV_RW_USER_RO_EXEC read/write in privileged mode, read only in user mode and execute</li>
<li>MPU_PRIV_RW_USER_RW_EXEC read/write in privileged mode, read/write in user mode and execute</li>
<li>MPU_PRIV_RO_USER_NA_EXEC read only in privileged mode, no access in user mode and execute</li>
<li>MPU_PRIV_RO_USER_RO_EXEC read only in privileged mode, read only in user mode and execute</li>
<li>MPU_PRIV_NA_USER_NA_NOEXEC no access in privileged mode, no access in user mode and no execution</li>
<li>MPU_PRIV_RW_USER_NA_NOEXEC read/write in privileged mode, no access in user mode and no execution</li>
<li>MPU_PRIV_RW_USER_RO_NOEXEC read/write in privileged mode, read only in user mode and no execution</li>
<li>MPU_PRIV_RW_USER_RW_NOEXEC read/write in privileged mode, read/write in user mode and no execution</li>
<li>MPU_PRIV_RO_USER_NA_NOEXEC read only in privileged mode, no access in user mode and no execution</li>
<li>MPU_PRIV_RO_USER_RO_NOEXEC read only in privileged mode, read only in user mode and no execution </li>
</ul>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a20a7c4f084cabff8fbb6aaeb4ee6ddc1a71e95209eb51fb81f4927a18473f2909"></a>MPU_PRIV_NA_USER_NA_EXEC&#160;</td><td class="fielddoc">
<p>Alias no access in privileged mode, no access in user mode and execute </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a20a7c4f084cabff8fbb6aaeb4ee6ddc1ac15737631230d90adad78dcca58efa2c"></a>MPU_PRIV_RW_USER_NA_EXEC&#160;</td><td class="fielddoc">
<p>Alias no read/write in privileged mode, no access in user mode and execute </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a20a7c4f084cabff8fbb6aaeb4ee6ddc1ab7c85e13c15d24467af3afbebbd684ce"></a>MPU_PRIV_RW_USER_RO_EXEC&#160;</td><td class="fielddoc">
<p>Alias no read/write in privileged mode, read only in user mode and execute </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a20a7c4f084cabff8fbb6aaeb4ee6ddc1a91fd34e957618201088c688afb3d00e1"></a>MPU_PRIV_RW_USER_RW_EXEC&#160;</td><td class="fielddoc">
<p>Alias no read/write in privileged mode, read/write in user mode and execute </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a20a7c4f084cabff8fbb6aaeb4ee6ddc1a3e0ff189c9ad2209d5cb8d3d5d0a62a6"></a>MPU_PRIV_RO_USER_NA_EXEC&#160;</td><td class="fielddoc">
<p>Alias no read only in privileged mode, no access in user mode and execute </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a20a7c4f084cabff8fbb6aaeb4ee6ddc1a2b1de33fa510eebcf6666e03efdb2c0b"></a>MPU_PRIV_RO_USER_RO_EXEC&#160;</td><td class="fielddoc">
<p>Alias no read only in privileged mode, read only in user mode and execute </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a20a7c4f084cabff8fbb6aaeb4ee6ddc1a1b35504ed735fbf54d0e4afeb9b6bfef"></a>MPU_PRIV_NA_USER_NA_NOEXEC&#160;</td><td class="fielddoc">
<p>Alias no access in privileged mode, no access in user mode and no execution </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a20a7c4f084cabff8fbb6aaeb4ee6ddc1a584df8003c15606f764443835eb2d1cc"></a>MPU_PRIV_RW_USER_NA_NOEXEC&#160;</td><td class="fielddoc">
<p>Alias no read/write in privileged mode, no access in user mode and no execution </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a20a7c4f084cabff8fbb6aaeb4ee6ddc1ac22d5d1562c769cdf9c3c45843bbf71e"></a>MPU_PRIV_RW_USER_RO_NOEXEC&#160;</td><td class="fielddoc">
<p>Alias no read/write in privileged mode, read only in user mode and no execution </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a20a7c4f084cabff8fbb6aaeb4ee6ddc1aa927f1a59e947bffd1d57bb3f80fdb3f"></a>MPU_PRIV_RW_USER_RW_NOEXEC&#160;</td><td class="fielddoc">
<p>Alias no read/write in privileged mode, read/write in user mode and no execution </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a20a7c4f084cabff8fbb6aaeb4ee6ddc1a49aadad40effee8eaee1888f1bc7523f"></a>MPU_PRIV_RO_USER_NA_NOEXEC&#160;</td><td class="fielddoc">
<p>Alias no read only in privileged mode, no access in user mode and no execution </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a20a7c4f084cabff8fbb6aaeb4ee6ddc1a305af04657ce93614d5a46caa08a32fa"></a>MPU_PRIV_RO_USER_RO_NOEXEC&#160;</td><td class="fielddoc">
<p>Alias no read only in privileged mode, read only in user mode and no execution </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="a219c6300cb2070b44e700beb5719dec4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="soc__mpu_8h.html#a219c6300cb2070b44e700beb5719dec4">mpuRegionSize</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Alias names for mpu region type. </p>
<p>This enumeration is used to provide alias names for the mpu region type:</p><ul>
<li>MPU_STRONGLYORDERED_SHAREABLE Memory type strongly ordered and sharable</li>
<li>MPU_32_BYTES Memory size in bytes</li>
<li>MPU_64_BYTES Memory size in bytes</li>
<li>MPU_128_BYTES Memory size in bytes</li>
<li>MPU_256_BYTES Memory size in bytes</li>
<li>MPU_512_BYTES Memory size in bytes</li>
<li>MPU_1_KB Memory size in kB</li>
<li>MPU_2_KB Memory size in kB</li>
<li>MPU_4_KB Memory size in kB</li>
<li>MPU_8_KB Memory size in kB</li>
<li>MPU_16_KB Memory size in kB</li>
<li>MPU_32_KB Memory size in kB</li>
<li>MPU_64_KB Memory size in kB</li>
<li>MPU_128_KB Memory size in kB</li>
<li>MPU_256_KB Memory size in kB</li>
<li>MPU_512_KB Memory size in kB</li>
<li>MPU_1_MB Memory size in MB</li>
<li>MPU_2_MB Memory size in MB</li>
<li>MPU_4_MB Memory size in MB</li>
<li>MPU_8_MBv Memory size in MB</li>
<li>MPU_16_MB Memory size in MB</li>
<li>MPU_32_MB Memory size in MB</li>
<li>MPU_64_MB Memory size in MB</li>
<li>MPU_128_MB Memory size in MB</li>
<li>MPU_256_MB Memory size in MB</li>
<li>MPU_512_MB Memory size in MB</li>
<li>MPU_1_GB Memory size in GB</li>
<li>MPU_2_GB Memory size in GB</li>
<li>MPU_4_GB Memory size in GB </li>
</ul>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4a511bdec14ca044d611d6266f1da9be03"></a>MPU_32_BYTES&#160;</td><td class="fielddoc">
<p>Memory size in bytes </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4a6cabcd3028837bca0686309233fc4062"></a>MPU_64_BYTES&#160;</td><td class="fielddoc">
<p>Memory size in bytes </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4a3f28d2cab418caa9addd762a03cc0209"></a>MPU_128_BYTES&#160;</td><td class="fielddoc">
<p>Memory size in bytes </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4a5741c515eb713b91a7f4e09154c1b23c"></a>MPU_256_BYTES&#160;</td><td class="fielddoc">
<p>Memory size in bytes </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4adcde7e97e1c8093cbf6a26a1834b6663"></a>MPU_512_BYTES&#160;</td><td class="fielddoc">
<p>Memory size in bytes </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4a2a9856e8cf40c119428add4de22e8970"></a>MPU_1_KB&#160;</td><td class="fielddoc">
<p>Memory size in kB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4a42919bc91a214dd63552616552098f2d"></a>MPU_2_KB&#160;</td><td class="fielddoc">
<p>Memory size in kB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4a1884443aeecaa5bff6f589443cb62b00"></a>MPU_4_KB&#160;</td><td class="fielddoc">
<p>Memory size in kB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4a8f2e51364d3a181259ba1731c3601906"></a>MPU_8_KB&#160;</td><td class="fielddoc">
<p>Memory size in kB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4a4265e557e9bd002bb79629bd69aae2b4"></a>MPU_16_KB&#160;</td><td class="fielddoc">
<p>Memory size in kB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4a9411decee1237234aeff9062286754d8"></a>MPU_32_KB&#160;</td><td class="fielddoc">
<p>Memory size in kB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4a2575c3986bf2e1c69e92b44ebe90ef4b"></a>MPU_64_KB&#160;</td><td class="fielddoc">
<p>Memory size in kB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4a7a1af8d2d342198c1d155180ea170488"></a>MPU_128_KB&#160;</td><td class="fielddoc">
<p>Memory size in kB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4af92f964f34cf751a8e3ab76f52806493"></a>MPU_256_KB&#160;</td><td class="fielddoc">
<p>Memory size in kB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4ac028564148ca16cd5276acc9cd9a390e"></a>MPU_512_KB&#160;</td><td class="fielddoc">
<p>Memory size in kB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4ac951ba0deb2bd03348bb493c70cb83ae"></a>MPU_1_MB&#160;</td><td class="fielddoc">
<p>Memory size in MB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4ac144c184849a059e4c9d6ab692881a91"></a>MPU_2_MB&#160;</td><td class="fielddoc">
<p>Memory size in MB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4afe6dce0c17183b519dc9eb08c7c22459"></a>MPU_4_MB&#160;</td><td class="fielddoc">
<p>Memory size in MB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4a9457427fed2d2c10f4d1408adaf908d2"></a>MPU_8_MB&#160;</td><td class="fielddoc">
<p>Memory size in MB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4a9dc2f9ac0f12154955d8093d4b5d77d2"></a>MPU_16_MB&#160;</td><td class="fielddoc">
<p>Memory size in MB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4af8be5b9bd577cc8607aff78769685c0c"></a>MPU_32_MB&#160;</td><td class="fielddoc">
<p>Memory size in MB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4a6ae7f4af9979b45c94d0d59c304b1df9"></a>MPU_64_MB&#160;</td><td class="fielddoc">
<p>Memory size in MB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4afa7427fc1374ab74cd22d9ea1f184b50"></a>MPU_128_MB&#160;</td><td class="fielddoc">
<p>Memory size in MB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4a77ca089f1e110dc21ea74855d06637f8"></a>MPU_256_MB&#160;</td><td class="fielddoc">
<p>Memory size in MB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4a71cec1908856a245bc9a81b6b135b325"></a>MPU_512_MB&#160;</td><td class="fielddoc">
<p>Memory size in MB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4a59e46ac854d372e07c939bcc0c2ed74a"></a>MPU_1_GB&#160;</td><td class="fielddoc">
<p>Memory size in GB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4a4bf756d2ecca8d786f2f4fad0cc12d5e"></a>MPU_2_GB&#160;</td><td class="fielddoc">
<p>Memory size in GB </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a219c6300cb2070b44e700beb5719dec4a40ed26c764171cdd33e1adde7c91e566"></a>MPU_4_GB&#160;</td><td class="fielddoc">
<p>Memory size in GB </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="a256267cff71608918bfb07596904fe8b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="soc__mpu_8h.html#a256267cff71608918bfb07596904fe8b">mpuRegionType</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Alias names for mpu region type. </p>
<p>This enumeration is used to provide alias names for the mpu region type:</p><ul>
<li>MPU_STRONGLYORDERED_SHAREABLE Memory type strongly ordered and sharable</li>
<li>MPU_DEVICE_SHAREABLE Memory type device and sharable</li>
<li>MPU_NORMAL_OIWTNOWA_NONSHARED Memory type normal outer and inner write-through, no write allocate and non shared</li>
<li>MPU_NORMAL_OIWTNOWA_SHARED Memory type normal outer and inner write-through, no write allocate and shared</li>
<li>MPU_NORMAL_OIWBNOWA_NONSHARED Memory type normal outer and inner write-back, no write allocate and non shared</li>
<li>MPU_NORMAL_OIWBNOWA_SHARED Memory type normal outer and inner write-back, no write allocate and shared</li>
<li>MPU_NORMAL_OINC_NONSHARED Memory type normal outer and inner non-cachable and non shared</li>
<li>MPU_NORMAL_OINC_SHARED Memory type normal outer and inner non-cachable and shared</li>
<li>MPU_NORMAL_OIWBWA_NONSHARED Memory type normal outer and inner write-back, write allocate and non shared</li>
<li>MPU_NORMAL_OIWBWA_SHARED Memory type normal outer and inner write-back, write allocate and shared</li>
<li>MPU_DEVICE_NONSHAREABLE Memory type device and non sharable </li>
</ul>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a256267cff71608918bfb07596904fe8ba75e3267a32fe3501c40c94ac50a8c2c9"></a>MPU_STRONGLYORDERED_SHAREABLE&#160;</td><td class="fielddoc">
<p>Memory type strongly ordered and sharable </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a256267cff71608918bfb07596904fe8bac6e42873d58112e0abd4ab0397fb16f0"></a>MPU_DEVICE_SHAREABLE&#160;</td><td class="fielddoc">
<p>Memory type device and sharable </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a256267cff71608918bfb07596904fe8ba7921579107082753ba64548e87e87ad7"></a>MPU_NORMAL_OIWTNOWA_NONSHARED&#160;</td><td class="fielddoc">
<p>Memory type normal outer and inner write-through, no write allocate and non shared </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a256267cff71608918bfb07596904fe8bad5d6638a6327d870dcd6dfcf0b568145"></a>MPU_NORMAL_OIWBNOWA_NONSHARED&#160;</td><td class="fielddoc">
<p>Memory type normal outer and inner write-back, no write allocate and non shared </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a256267cff71608918bfb07596904fe8ba7c42c90fef7810c72cef488b990bb9bf"></a>MPU_NORMAL_OIWTNOWA_SHARED&#160;</td><td class="fielddoc">
<p>Memory type normal outer and inner write-through, no write allocate and shared </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a256267cff71608918bfb07596904fe8ba8a5a2af77f1ad1f3982acc7b2a7e80a6"></a>MPU_NORMAL_OIWBNOWA_SHARED&#160;</td><td class="fielddoc">
<p>Memory type normal outer and inner write-back, no write allocate and shared </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a256267cff71608918bfb07596904fe8babaa855fd1da96245d804127acc41dba5"></a>MPU_NORMAL_OINC_NONSHARED&#160;</td><td class="fielddoc">
<p>Memory type normal outer and inner non-cachable and non shared </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a256267cff71608918bfb07596904fe8bae05741684610308e3cf310999e795b55"></a>MPU_NORMAL_OIWBWA_NONSHARED&#160;</td><td class="fielddoc">
<p>Memory type normal outer and inner write-back, write allocate and non shared </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a256267cff71608918bfb07596904fe8ba8ebd1c0896986829e7f86b4e1c457f9e"></a>MPU_NORMAL_OINC_SHARED&#160;</td><td class="fielddoc">
<p>Memory type normal outer and inner non-cachable and shared </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a256267cff71608918bfb07596904fe8ba423e4290786b71c2d673e4487b871623"></a>MPU_NORMAL_OIWBWA_SHARED&#160;</td><td class="fielddoc">
<p>Memory type normal outer and inner write-back, write allocate and shared </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a256267cff71608918bfb07596904fe8bae40bb13881cc30b7e04a269fd9ba24bf"></a>MPU_DEVICE_NONSHAREABLE&#160;</td><td class="fielddoc">
<p>Memory type device and non sharable </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a40fc7138f2188355f04863b384be30b5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t _mpuAreRegionsSeparate_ </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the type of the implemented mpu regions. </p>
<dl class="section return"><dt>Returns</dt><dd>Mpu type of regions</dd></dl>
<p>This function returns 0 when mpu regions are of type unified otherwise regions are of type separate. </p>

</div>
</div>
<a class="anchor" id="a4d7807ff7486e23a51df3552456576be"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _mpuDisable_ </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable Mpu. </p>
<p>This function disables memory protection unit. </p>

</div>
</div>
<a class="anchor" id="a91443afa543409ea431ea1eee9495e90"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _mpuDisableBackgroundRegion_ </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable Mpu background region. </p>
<p>This function disables background region of the memory protection unit. </p>

</div>
</div>
<a class="anchor" id="a91e265587c5b3f02c6dcc26a2fb5f039"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _mpuEnable_ </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable Mpu. </p>
<p>This function enables memory protection unit. </p>

</div>
</div>
<a class="anchor" id="a936e7f2dbacf897764a944ae5628f37a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _mpuEnableBackgroundRegion_ </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable Mpu background region. </p>
<p>This function enables background region of the memory protection unit. </p>

</div>
</div>
<a class="anchor" id="ae01b415f6eb4e15331371f526f7184d9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t _mpuGetNumberOfRegions_ </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns number of implemented Mpu regions. </p>
<dl class="section return"><dt>Returns</dt><dd>Number of implemented mpu regions</dd></dl>
<p>This function returns the number of implemented mpu regions. </p>

</div>
</div>
<a class="anchor" id="a796aec0b4eea86ccd7d7a8249f4e7afd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t _mpuGetRegion_ </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the currently selected mpu region. </p>
<dl class="section return"><dt>Returns</dt><dd>Mpu region number</dd></dl>
<p>This function returns currently selected mpu region number. </p>

</div>
</div>
<a class="anchor" id="aed53448b7a7b12e10f4360862944cab9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t _mpuGetRegionBaseAddress_ </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns base address of currently selected mpu region. </p>
<dl class="section return"><dt>Returns</dt><dd>Current base address of selected mpu region</dd></dl>
<p>This function returns the base address of currently selected mpu region. </p>

</div>
</div>
<a class="anchor" id="a8b1041752ccc83834266f8db303dc0a4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t _mpuGetRegionPermission_ </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns permission of currently selected mpu region. </p>
<dl class="section return"><dt>Returns</dt><dd>Current type of selected mpu region</dd></dl>
<p>This function returns permission of currently selected mpu region. </p>

</div>
</div>
<a class="anchor" id="a7b9225d4cf265d5bba16f03343096a41"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t _mpuGetRegionType_ </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the type of currently selected mpu region. </p>
<dl class="section return"><dt>Returns</dt><dd>Current type of selected mpu region</dd></dl>
<p>This function returns the type of currently selected mpu region. </p>

</div>
</div>
<a class="anchor" id="ad42abaa287200c0d7fc438183d4dc067"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _mpuInit_ </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialize Mpu. </p>
<p>This function initializes memory protection unit. </p>

</div>
</div>
<a class="anchor" id="a77d0ffd1d6bcaa74d1f3fb177fd3da47"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _mpuSetRegion_ </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>region</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set mpu region number. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">region</td><td>Region number: mpuREGION1..mpuREGION12</td></tr>
  </table>
  </dd>
</dl>
<p>This function selects one of the implemented mpu regions. </p>

</div>
</div>
<a class="anchor" id="a5e2b4dbb5a69e953684e4e61442e53d9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _mpuSetRegionBaseAddress_ </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>address</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set base address of currently selected mpu region. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">address</td><td>Base address of the MPU region </td></tr>
  </table>
  </dd>
</dl>
<dl class="section note"><dt>Note</dt><dd>The base address must always aligned with region size</dd></dl>
<p>This function sets the base address of currently selected mpu region. </p>

</div>
</div>
<a class="anchor" id="a6257509842799734cf515d2ed3409bf9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _mpuSetRegionSizeRegister_ </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set mpu region size register value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>Value to be written in the MPU Region Size and Enable register</td></tr>
  </table>
  </dd>
</dl>
<p>This function sets mpu region size register value.</p>
<p>Sample usuage: <em>mpuSetRegion</em>(mpuREGION5); <em>mpuSetRegionSizeRegister</em>(mpuREGION_ENABLE | MPU_16_KB | mpuSUBREGION3_DISABLE | mpuSUBREGION4_DISABLE); </p>

</div>
</div>
<a class="anchor" id="aad3cf50fb86c1afb6fbfa46eead2cc80"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _mpuSetRegionTypeAndPermission_ </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>permission</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set type of currently selected mpu region. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">type</td><td>Region Type<ul>
<li>MPU_STRONGLYORDERED_SHAREABLE : Memory type strongly ordered and sharable</li>
<li>MPU_DEVICE_SHAREABLE : Memory type device and sharable</li>
<li>MPU_NORMAL_OIWTNOWA_NONSHARED : Memory type normal outer and inner write-through, no write allocate and non shared</li>
<li>MPU_NORMAL_OIWBNOWA_NONSHARED : Memory type normal outer and inner write-back, no write allocate and non shared</li>
<li>MPU_NORMAL_OIWTNOWA_SHARED : Memory type normal outer and inner write-through, no write allocate and shared</li>
<li>MPU_NORMAL_OIWBNOWA_SHARED : Memory type normal outer and inner write-back, no write allocate and shared</li>
<li>MPU_NORMAL_OINC_NONSHARED : Memory type normal outer and inner non-cachable and non shared</li>
<li>MPU_NORMAL_OIWBWA_NONSHARED : Memory type normal outer and inner write-back, write allocate and non shared</li>
<li>MPU_NORMAL_OINC_SHARED : Memory type normal outer and inner non-cachable and shared</li>
<li>MPU_NORMAL_OIWBWA_SHARED : Memory type normal outer and inner write-back, write allocate and shared</li>
<li>MPU_DEVICE_NONSHAREABLE : Memory type device and non sharable</li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">permission</td><td>Region Access permission<ul>
<li>MPU_PRIV_NA_USER_NA_EXEC : Alias no access in privileged mode, no access in user mode and execute</li>
<li>MPU_PRIV_RW_USER_NA_EXEC : Alias no read/write in privileged mode, no access in user mode and execute</li>
<li>MPU_PRIV_RW_USER_RO_EXEC : Alias no read/write in privileged mode, read only in user mode and execute</li>
<li>MPU_PRIV_RW_USER_RW_EXEC : Alias no read/write in privileged mode, read/write in user mode and execute</li>
<li>MPU_PRIV_RO_USER_NA_EXEC : Alias no read only in privileged mode, no access in user mode and execute</li>
<li>MPU_PRIV_RO_USER_RO_EXEC : Alias no read only in privileged mode, read only in user mode and execute</li>
<li>MPU_PRIV_NA_USER_NA_NOEXEC : Alias no access in privileged mode, no access in user mode and no execution</li>
<li>MPU_PRIV_RW_USER_NA_NOEXEC : Alias no read/write in privileged mode, no access in user mode and no execution</li>
<li>MPU_PRIV_RW_USER_RO_NOEXEC : Alias no read/write in privileged mode, read only in user mode and no execution</li>
<li>MPU_PRIV_RW_USER_RW_NOEXEC : Alias no read/write in privileged mode, read/write in user mode and no execution</li>
<li>MPU_PRIV_RO_USER_NA_NOEXEC : Alias no read only in privileged mode, no access in user mode and no execution</li>
<li>MPU_PRIV_RO_USER_RO_NOEXEC : Alias no read only in privileged mode, read only in user mode and no execution</li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<p>This function sets the type of currently selected mpu region. </p>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
